org.apache.solr.handler.component

## Class RangeFacetRequest.FacetRange

- java.lang.Object
- - org.apache.solr.handler.component.RangeFacetRequest.FacetRange

- Enclosing class:
    RangeFacetRequest

      public static class RangeFacetRequest.FacetRange
      extends Object

  Represents a single facet range (or gap) for which the count is to be calculated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `includeLower`
    `boolean` | `includeUpper`
    `String` | `lower`
    `String` | `name`
    `FacetParams.FacetRangeOther` | `other`
    `String` | `upper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetRange(FacetParams.FacetRangeOther other, String lower, String upper, boolean includeLower, boolean includeUpper)` Construct a facet range for a `FacetParams.FacetRangeOther` instance
    `FacetRange(String name, String lower, String upper, boolean includeLower, boolean includeUpper)` Construct a facet range for the give name

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### other

          public final FacetParams.FacetRangeOther other

    - #### name

          public final String name

    - #### lower

          public final String lower

    - #### upper

          public final String upper

    - #### includeLower

          public final boolean includeLower

    - #### includeUpper

          public final boolean includeUpper

  - ### Constructor Detail

    - #### FacetRange

          public FacetRange(FacetParams.FacetRangeOther other,
                            String lower,
                            String upper,
                            boolean includeLower,
                            boolean includeUpper)

      Construct a facet range for a `FacetParams.FacetRangeOther` instance

    - #### FacetRange

          public FacetRange(String name,
                            String lower,
                            String upper,
                            boolean includeLower,
                            boolean includeUpper)

      Construct a facet range for the give name

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.